commit:     39c26c44c951d5071eaeed9ccefb0dc78f7455b6
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 15 11:58:34 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Aug 15 11:59:52 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39c26c44

sci-mathematics/opensmt: bump to 2.5.2

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/opensmt/Manifest             |  1 +
 sci-mathematics/opensmt/opensmt-2.5.2.ebuild | 71 ++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/sci-mathematics/opensmt/Manifest b/sci-mathematics/opensmt/Manifest
index 1d27de064f14..b8135a978d7b 100644
--- a/sci-mathematics/opensmt/Manifest
+++ b/sci-mathematics/opensmt/Manifest
@@ -1 +1,2 @@
 DIST opensmt-2.5.1.tar.gz 1943888 BLAKE2B 
17b58fc3e693e77ce70835820f7361db9efe1cac561f1fa3480a839fbdf003d2566617cd97a3e2772ad8e890356b6a5761457779c0ac3b0841c2df6aee74946e
 SHA512 
359ff968d7dbd8d94d6c5687d5b84e19c47016df5b1c0d80374743b395b6257cb4b97aa354b264103bd19c522f55912f1c938e646daf37f6b413488db917fc61
+DIST opensmt-2.5.2.tar.gz 1935650 BLAKE2B 
85cd171d56591d2f1162a41ff8a425fc818238a2820aab0f75cc75ece8898c5e7de1478aeab93e8905a1aedad85a6df03062fefaad69bea043dce1f3f3d531f5
 SHA512 
c22d17d3aee33a3360f8ea552c82151eafdef7cc89e6750d34b4ff2a011675a5a5f04a7cb68ff984dd6a5332b2f180fb8abc529e64c3970aba6b7eb60408f198

diff --git a/sci-mathematics/opensmt/opensmt-2.5.2.ebuild 
b/sci-mathematics/opensmt/opensmt-2.5.2.ebuild
new file mode 100644
index 000000000000..479c6c7e252f
--- /dev/null
+++ b/sci-mathematics/opensmt/opensmt-2.5.2.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Compact and open-source SMT-solver written in C++"
+HOMEPAGE="http://verify.inf.usi.ch/opensmt/
+       https://github.com/usi-verification-and-security/opensmt/";
+
+if [[ ${PV} == *9999* ]] ; then
+       inherit git-r3
+       
EGIT_REPO_URI="https://github.com/usi-verification-and-security/${PN}.git";
+else
+       
SRC_URI="https://github.com/usi-verification-and-security/${PN}/archive/v${PV}.tar.gz
+               -> ${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+IUSE="debug libedit +readline test"
+REQUIRED_USE="?? ( libedit readline )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-libs/gmp:=[cxx]
+       readline? ( sys-libs/readline:= )
+       libedit? ( dev-libs/libedit:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       sys-devel/bison
+       sys-devel/flex
+       test? ( dev-cpp/gtest )
+"
+
+# PATCHES=( "${FILESDIR}"/${PN}-2.4.3-musl.patch )
+
+src_prepare() {
+       cmake_src_prepare
+
+       echo "add_subdirectory(unit)" > "${S}"/test/CMakeLists.txt || die
+}
+
+src_configure() {
+       local CMAKE_BUILD_TYPE
+       if use debug ; then
+               CMAKE_BUILD_TYPE=Debug
+       else
+               CMAKE_BUILD_TYPE=Release
+       fi
+
+       local -a mycmakeargs=(
+               -DPACKAGE_TESTS=$(usex test)
+               -DUSE_READLINE=$(usex readline)
+       )
+       if use readline || use libedit ; then
+               mycmakeargs+=( -DENABLE_LINE_EDITING=ON )
+       fi
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+
+       rm "${ED}"/usr/lib/libopensmt.a || die
+       dodir /usr/$(get_libdir)
+       mv "${ED}"/usr/lib/libopensmt.* "${ED}"/usr/$(get_libdir)/ || die
+}

Reply via email to